{include file="header.tpl" enable_calendar=true enable_ajax=TRUE body_onload="showType(); changeDailyStartTime(); filterUserCount();"}
<script	language=JavaScript>

{literal}
function filterUserCount() {
	total = countSelect(document.getElementById('filter_user'));
	writeLayer('filter_user_count', total);
}

function showType() {
	document.getElementById('type_id-10').style.display = 'none';
	document.getElementById('type_id-30').style.display = 'none';
	document.getElementById('type_id-50').style.display = 'none';

	//alert('Type ID: '+ document.getElementById('type_id').value );
	if ( document.getElementById('type_id').value == 10 || document.getElementById('type_id').value == 20 ) {
		document.getElementById('type_id-10').className = '';
		document.getElementById('type_id-10').style.display = '';

	} else if ( document.getElementById('type_id').value == 30 ) {
		document.getElementById('type_id-30').className = '';
		document.getElementById('type_id-30').style.display = '';

		document.getElementById('type_id-50').className = '';
		document.getElementById('type_id-50').style.display = '';

	} else if ( document.getElementById('type_id').value == 50 ) {
		document.getElementById('type_id-50').className = '';
		document.getElementById('type_id-50').style.display = '';
	}

}

function changeDailyStartTime() {
	daily_start_time = document.getElementById('daily_start_time').value
	document.getElementById('start_day_of_week_start_time').innerHTML = daily_start_time;
	document.getElementById('primary_day_of_month_start_time').innerHTML = daily_start_time;
	document.getElementById('secondary_day_of_month_start_time').innerHTML = daily_start_time;

}

{/literal}
</script>

<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">

		<form method="post" action="{$smarty.server.SCRIPT_NAME}">
		    <div id="contentBoxTwoEdit">

				{if !$ppsf->Validator->isValid()}
					{include file="form_errors.tpl" object="ppsf"}
				{/if}

				<table class="editTable">

				<tr onClick="showHelpEntry('name')">
					<td class="{isvalid object="ppsf" label="name" value="cellLeftEditTable"}">
						Name:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<input type="text" name="pay_period_schedule_data[name]" value="{$pay_period_schedule_data.name}">
					</td>
				</tr>

				<tr onClick="showHelpEntry('description')">
					<td class="{isvalid object="ppsf" label="description" value="cellLeftEditTable"}">
						Description:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<input type="text" size="40" name="pay_period_schedule_data[description]" value="{$pay_period_schedule_data.description}">
					</td>
				</tr>

				<tr onClick="showHelpEntry('startweekday')">
					<td class="{isvalid object="ppsf" label="startweekday" value="cellLeftEditTable"}">
						Overtime Week:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select name="pay_period_schedule_data[start_week_day_id]">
							{html_options options=$pay_period_schedule_data.startweekday_options selected=$pay_period_schedule_data.start_week_day_id}
						</select>
					</td>
				</tr>

				<tr onClick="showHelpEntry('day_start_time')">
					<td class="{isvalid object="ppsf" label="day_start_time" value="cellLeftEditTable"}">
						Daily Start Time:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<input type="text" size="7" id="daily_start_time" name="pay_period_schedule_data[day_start_time]" value="{gettimeunit value=$pay_period_schedule_data.day_start_time}" onChange="changeDailyStartTime()"> {$current_user_prefs->getTimeUnitFormatExample()} (Hours from Midnight)
					</td>
				</tr>

				<tr onClick="showHelpEntry('continuous_time')">
					<td class="{isvalid object="ppsf" label="continuous_time" value="cellLeftEditTable"}">
						Continuous Time:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<input type="text" size="7" name="pay_period_schedule_data[continuous_time]" value="{gettimeunit value=$pay_period_schedule_data.continuous_time}"> {$current_user_prefs->getTimeUnitFormatExample()}
					</td>
				</tr>

				<tr onClick="showHelpEntry('type')">
					<td class="{isvalid object="ppsf" label="type" value="cellLeftEditTable"}">
						Type:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select id="type_id" name="pay_period_schedule_data[type]" onChange="showType();">
							{html_options options=$pay_period_schedule_data.type_options selected=$pay_period_schedule_data.type}
						</select>
					</td>
				</tr>

				<tbody id="type_id-10" style="display:none" >
				<tr onClick="showHelpEntry('start_day_of_week')">
					<td class="{isvalid object="ppsf" label="start_day_of_week" value="cellLeftEditTable"}">
						Pay Period Starts On:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select name="pay_period_schedule_data[start_day_of_week]">
							{html_options options=$pay_period_schedule_data.day_of_week_options selected=$pay_period_schedule_data.start_day_of_week}
						</select>
						at <b><span id="start_day_of_week_start_time">00:00</span></b>
					</td>
				</tr>

				<tr onClick="showHelpEntry('transaction_date')">
					<td class="{isvalid object="ppsf" label="transaction_date" value="cellLeftEditTable"}">
						Transaction Date:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select name="pay_period_schedule_data[transaction_date]">
							{html_options options=$pay_period_schedule_data.transaction_date_options selected=$pay_period_schedule_data.transaction_date}
						</select>
						(days after end of pay period)
					</td>
				</tr>
				</tbody>

				<tbody id="type_id-50" style="display:none" >
				<tr class="cellLeftEditTable" style="text-align:center">
					<td colspan="4">
						Primary
					</td>
				</tr>

				<tr onClick="showHelpEntry('primary_day_of_month')">
					<td class="{isvalid object="ppsf" label="primary_day_of_month" value="cellLeftEditTable"}">
						Pay Period Start Day Of Month:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select name="pay_period_schedule_data[primary_day_of_month]">
							{html_options options=$pay_period_schedule_data.day_of_month_options selected=$pay_period_schedule_data.primary_day_of_month}
						</select>
						at <b><span id="primary_day_of_month_start_time">00:00</span></b>
					</td>
				</tr>

				<tr onClick="showHelpEntry('primary_transaction_day_of_month')">
					<td class="{isvalid object="ppsf" label="primary_transaction_day_of_month" value="cellLeftEditTable"}">
						Transaction Day Of Month:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select name="pay_period_schedule_data[primary_transaction_day_of_month]">
							{html_options options=$pay_period_schedule_data.day_of_month_options selected=$pay_period_schedule_data.primary_transaction_day_of_month}
						</select>
					</td>
				</tr>
				</tbody>

				<tbody id="type_id-30" style="display:none" >
				<tr class="cellLeftEditTable" style="text-align:center">
					<td colspan="4">
						Secondary
					</td>
				</tr>

				<tr onClick="showHelpEntry('secondary_day_of_month')">
					<td class="{isvalid object="ppsf" label="secondary_day_of_month" value="cellLeftEditTable"}">
						Pay Period Start Day Of Month:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select name="pay_period_schedule_data[secondary_day_of_month]">
							{html_options options=$pay_period_schedule_data.day_of_month_options selected=$pay_period_schedule_data.secondary_day_of_month}
						</select>
						at <b><span id="secondary_day_of_month_start_time">00:00</span></b>
					</td>
				</tr>

				<tr onClick="showHelpEntry('secondary_transaction_day_of_month')">
					<td class="{isvalid object="ppsf" label="secondary_transaction_day_of_month" value="cellLeftEditTable"}">
						Transaction Day Of Month:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select name="pay_period_schedule_data[secondary_transaction_day_of_month]">
							{html_options options=$pay_period_schedule_data.day_of_month_options selected=$pay_period_schedule_data.secondary_transaction_day_of_month}
						</select>
					</td>
				</tr>
				</tbody>

				<tr onClick="showHelpEntry('transaction_date_bd')">
					<td class="{isvalid object="ppsf" label="transaction_date_bd" value="cellLeftEditTable"}">
						Transaction Always on Business Day:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<input type="checkbox" class="checkbox" name="pay_period_schedule_data[transaction_date_bd]" value="1" {if $pay_period_schedule_data.transaction_date_bd == TRUE}checked{/if}>
					</td>
				</tr>

				<tr onClick="showHelpEntry('anchor_date')">
					<td class="{isvalid object="ppsf" label="anchor_date" value="cellLeftEditTable"}">
						Create Initial Pay Periods From:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<input type="text" size="15" id="anchor_date" onFocus="showHelpEntry('anchor_date')" name="pay_period_schedule_data[anchor_date]" value="{getdate type="DATE" epoch=$pay_period_schedule_data.anchor_date}">
						<img src="{$BASE_URL}/images/cal.gif" id="cal_anchor_date" width="16" height="16" border="0" alt="Pick a date" onMouseOver="calendar_setup('anchor_date', 'cal_anchor_date', false);">
					</td>
				</tr>

				<tbody id="filter_employees_on" style="display:none" >
				<tr>
					<td class="{isvalid object="ppsf" label="user" value="cellLeftEditTable"}" nowrap>
						<a href="javascript:toggleRowObject('filter_employees_on');toggleRowObject('filter_employees_off');filterUserCount();"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a><b>Employees:</b>
					</td>
					<td colspan="3">
						<table class="editTable">
						<tr class="tblHeader">
							<td>
								UnAssigned Employees
							</td>
							<td>
								<br>
							</td>
							<td>
								Assigned Employees
							</td>
						</tr>
						<tr>
							<td class="cellRightEditTable" width="49%" align="center">
								<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_user'))">
								<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_user'))">
								<br>
								<select name="src_user_id" id="src_filter_user" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$pay_period_schedule_data.user_options}" multiple>
									{html_options options=$pay_period_schedule_data.user_options}
								</select>
							</td>
							<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
								<a href="javascript:moveItem(document.getElementById('src_filter_user'), document.getElementById('filter_user')); uniqueSelect(document.getElementById('filter_user')); sortSelect(document.getElementById('filter_user'));resizeSelect(document.getElementById('src_filter_user'), document.getElementById('filter_user'), {select_size array=$user_options})"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
								<br>
								<a href="javascript:moveItem(document.getElementById('filter_user'), document.getElementById('src_filter_user')); uniqueSelect(document.getElementById('src_filter_user')); sortSelect(document.getElementById('src_filter_user'));resizeSelect(document.getElementById('src_filter_user'), document.getElementById('filter_user'), {select_size array=$user_options})"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
								<br>
								<br>
								<br>
								<a href="javascript:UserSearch('src_filter_user','filter_user');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_popup.gif"></a>
							</td>
							<td class="cellRightEditTable" width="49%" align="center">
								<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_user'))">
								<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_user'))">
								<br>
								<select name="pay_period_schedule_data[user_ids][]" id="filter_user" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_user_options}" multiple>
									{html_options options=$filter_user_options selected=$pay_period_schedule_data.user_ids}
								</select>
							</td>
						</tr>
						</table>
					</td>
				</tr>
				</tbody>
				<tbody id="filter_employees_off">
				<tr>
					<td class="{isvalid object="ppsf" label="user" value="cellLeftEditTable"}" nowrap>
						<a href="javascript:toggleRowObject('filter_employees_on');toggleRowObject('filter_employees_off');uniqueSelect(document.getElementById('filter_user'), document.getElementById('src_filter_user')); sortSelect(document.getElementById('filter_user'));resizeSelect(document.getElementById('src_filter_user'), document.getElementById('filter_user'), {select_size array=$user_options})"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a><b>Employees:</b>
					</td>
					<td class="cellRightEditTable" colspan="100">
						<span id="filter_user_count">0</span> Employees Currenty Selected, Click the arrow to modify.
					</td>
				</tr>
				</tbody>

			</table>
		</div>

		<div id="contentBoxFour">
			<input type="submit" class="btnSubmit" name="action" value="Submit" onClick="selectAll(document.getElementById('filter_user'))">
		</div>

		<input type="hidden" name="pay_period_schedule_data[id]" value="{$pay_period_schedule_data.id}">
		</form>
	</div>
</div>
{include file="footer.tpl"}